package com.mx.dla.dda.contrato.deal.dtos;

import java.io.Serializable;
import java.util.List;

public class DealDTO implements Serializable {

	private static final long serialVersionUID = 9138124074517784509L;

	private Long idContrato;

	private List<FilialDTO> filialesDisponibles;
	private List<TypeDTO> typesDisponibles;

	private List<FilialDTO> filialesElegidos;
	private List<TypeDTO> typesElegidos;

	private String limitesLicencia;

	public Long getIdContrato() {
		return idContrato;
	}

	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}

	public List<FilialDTO> getFilialesDisponibles() {
		return filialesDisponibles;
	}

	public void setFilialesDisponibles(List<FilialDTO> filialesDisponibles) {
		this.filialesDisponibles = filialesDisponibles;
	}

	public List<TypeDTO> getTypesDisponibles() {
		return typesDisponibles;
	}

	public void setTypesDisponibles(List<TypeDTO> typesDisponibles) {
		this.typesDisponibles = typesDisponibles;
	}

	public List<FilialDTO> getFilialesElegidos() {
		return filialesElegidos;
	}

	public void setFilialesElegidos(List<FilialDTO> filialesElegidos) {
		this.filialesElegidos = filialesElegidos;
	}

	public List<TypeDTO> getTypesElegidos() {
		return typesElegidos;
	}

	public void setTypesElegidos(List<TypeDTO> typesElegidos) {
		this.typesElegidos = typesElegidos;
	}

	public String getLimitesLicencia() {
		return limitesLicencia;
	}

	public void setLimitesLicencia(String limitesLicencia) {
		this.limitesLicencia = limitesLicencia;
	}
		
	@Override
	public String toString() {
		return "DealDTO [idContrato=" + idContrato + ", filialesDisponibles="
				+ filialesDisponibles + ", typesDisponibles="
				+ typesDisponibles + ", filialesElegidos=" + filialesElegidos
				+ ", typesElegidos=" + typesElegidos + ", limitesLicencia="
				+ limitesLicencia + "]";
	}

}
